漏洞预警 | Apache Commons Compress拒绝服务漏洞

admin 2024年5月18日11:19:14评论8 views字数 499阅读1分39秒阅读模式
0x00 漏洞编号
  • CVE-2023-42503

0x01 危险等级
  • 高危

0x02 漏洞概述

Apache Commons Compress是负责处理压缩的底层库,它能处理的压缩格式非常多,包括ar、cpio、Unix dump、tar、zip、gzip、XZ、Pack200、bzip2、7z、arj、lzma、snappy、DEFLATE、lz4、Brotli、Zstandard、DEFLATE64和Z格式。

漏洞预警 | Apache Commons Compress拒绝服务漏洞

0x03 漏洞详情
CVE-2023-42503
漏洞类型:拒绝服务
影响:CPU耗尽
简述:Apache Commons compress中存在拒绝服务漏洞,攻击者可以通过操纵文件修改时间标头来创建格式错误的TAR文件,当使用Apache Commons compress进行解析时,将消耗CPU导致拒绝服务问题。
0x04 影响版本
  • 1.22 <= Apache Commons Compress < 1.24.0

0x05 修复建议

目前官方已发布漏洞修复版本,建议用户升级到安全版本
https://commons.apache.org/

原文始发于微信公众号(浅安安全):漏洞预警 | Apache Commons Compress拒绝服务漏洞

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年5月18日11:19:14
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   漏洞预警 | Apache Commons Compress拒绝服务漏洞https://cn-sec.com/archives/2041945.html

发表评论

匿名网友 填写信息